--- a/Cargo.toml
+++ b/Cargo.toml
@@ -34,7 +34,7 @@ version = "1.0"
 version = "1.0.3"
 
 [dependencies.syn]
-version = "1.0.38"
+version = "1.0.12"
 features = ["extra-traits", "full"]
 [dev-dependencies.byteorder]
 version = "1.3.1"
